Bug 39643 - sysklogd-1.3.31-12 hangs, uses no CPU time
Summary: sysklogd-1.3.31-12 hangs, uses no CPU time
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-08 13:34 UTC by Michael McConnell
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version: sysklogd-1.4.1-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 23:14:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael McConnell 2001-05-08 13:34:21 UTC
Description of Problem:
After periods of heavy use, sysklogd-1.3.31-12 hangs, leaving processes
trying to write
log entries blocking, making logging in impossible. The culprit was
determined by leaving a shell open.

How Reproducible:
Not easily repeatable, but the machine in question was running processes
which were slamming the syslog quite hard.  (Machine in question is a
firewall.)

Additional Information:
Being a model of a live environment, the techs have decided not to upgrade
sysklogd to -17 from the RH6.2 updates site until they are certain it is a
bug in the version of sysklogd they are using at the moment.  glibc
upgraded to glibc-2.1.3-21.

Comment 1 Bill Nottingham 2001-05-08 15:35:56 UTC
Are you using remote logging with a nameserver on the same machine?

Comment 2 Michael McConnell 2001-05-08 15:59:41 UTC
It's receiving logs from a remote machine, but the machine does not run a
nameserver.
Remote nameservers are reachable from it, but none of the machines have
hostnames which resolve from the IP addresses.  (We tend not to bother with
local DNS in this lab)

Comment 3 Jason Vas Dias 2004-08-25 23:14:58 UTC
Just clearing out old bugs here. This one would definitely appear
to be fixed with syslogd-1.4.1-22.



Note You need to log in before you can comment on or make changes to this bug.